/*==================================================================
 * soundfont_priv.h - Private header file for SoundFont routines
 *
 * libInstPatch
 * Copyright (C) 1999-2003 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 *==================================================================*/
#ifndef __SOUNDFONT_PRIV_H__
#define __SOUNDFONT_PRIV_H__

#include "instpatch.h"

int instp_sfont_init_func (IPItem *item);
void instp_sfont_done_func (IPItem *item);
void instp_sfont_destroy_func (IPItem *item);

void instp_preset_done_func (IPItem *item);
void instp_preset_destroy_func (IPItem *item);
IPItem *instp_preset_duplicate_func (const IPItem *item);

void instp_inst_done_func (IPItem *item);
void instp_inst_destroy_func (IPItem *item);
IPItem *instp_inst_duplicate_func (const IPItem *item);

void instp_sample_done_func (IPItem *item);
void instp_sample_destroy_func (IPItem *item);
IPItem *instp_sample_duplicate_func (const IPItem *item);

int instp_sample_data_init_func (IPItem *item);
void instp_sample_data_done_func (IPItem *item);

void instp_zone_done_func (IPItem *item);
IPItem *instp_zone_duplicate_func (const IPItem *item);

#endif
